> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-extraction/india/aadhaar-card-ocr.md).

# Aadhaar Card OCR

Real-time data extraction from an Aadhaar card image

#### Submit Document

## &#x20;ind\_aadhaar\_ocr

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_aadhaar_ocr`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>front_side </td><td>String </td><td>Yes </td><td>Image Url</td></tr><tr><td>back_side</td><td>String</td><td>No</td><td>Image Url</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "front_side": "Base64 or Url",
    "back_side": "Base64 or Url"
}
```

{% tabs %}
{% tab title="200: Success Response " %}

```json
{
    "success": true,
    "status_code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "ed9e065c-d017-41b9-86f7-6ee56684b1b7",
    "result": {
        "document_number": "000000003705",
        "name_on_document": "Dhanushraja Devadasan",
        "fathers_name": "",
        "date_of_birth": "00/00/1994",
        "gender": "Male",
        "is_scanned": null,
        "house_number": null,
        "address": "",
        "street_address": null,
        "pincode": "",
        "district": null,
        "state": null
    },
    "requested_at": "2023-09-22T13:01:38.558Z",
    "completed_at": "2023-09-22T13:01:40.699Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "c3d101d4-c9ec-48df-a25f-60354ec78c78",
    "status": "in_progress",
    "requested_at": "2024-04-22T04:47:39.590Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Upload the front image of Aadhar card",
        "field": "front_side",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "2b1dfeef-a966-4fe6-b91c-0e5bc960e41b",
    "status": "failed",
    "error": {
        "message": "Aadhaar Not Found.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T04:59:32.741Z",
    "completed_at": "2024-04-22T04:59:33.484Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_aadhaar_ocr`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "status_code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "ed9e065c-d017-41b9-86f7-6ee56684b1b7",
    "result": {
        "document_number": "000000003705",
        "name_on_document": "Dhanushraja Devadasan",
        "fathers_name": "",
        "date_of_birth": "00/00/1994",
        "gender": "Male",
        "is_scanned": null,
        "house_number": null,
        "address": "",
        "street_address": null,
        "pincode": "",
        "district": null,
        "state": null
    },
    "requested_at": "2023-09-22T13:01:38.558Z",
    "completed_at": "2023-09-22T13:01:40.699Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "c3d101d4-c9ec-48df-a25f-60354ec78c78",
    "status": "in_progress",
    "requested_at": "2024-04-22T04:47:39.590Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "c3d101d4-c9ec-48df-a25f-60354ec78c78",
    "status": "failed",
    "error": {
        "message": "Image is non compliant to request/quality standard",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T04:47:39.590Z",
    "completed_at": "2024-04-22T04:47:40.000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-extraction/india/aadhaar-card-ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
